PDA

View Full Version : Agent.exe version conflict



txbueller
11-18-2002, 04:28 PM
The UpdateService SDK installs a different (later) version of Agent.exe (with a different class id) than ISDev 7.4.

Examples:

ISDev 7.4:
\Program Files\InstallShield\SetupFiles\ISDev704EnuFull\Common\InstallShield\UpdateService\agent.exe
Version: 1.12.100.1101

versus

UpdateService SDK:
\Program Files\Common Files\InstallShield\UpdateService\agent.exe
Version: 1.20.100.1203

For app development we used the sdk supplied files as non-install developers don't need ISDev on their boxes, so they end up with the later version. But the install developer ends up deploying the earlier version supplied with ISDev 7.4.

Result: Installed app invocations on the agent fail because they're (early) bound to a different (earlier) version.

We can't seem to get ISDev to install the later version.

Suggestions?

Chris Woerner
11-19-2002, 04:17 PM
When the SDK installation runs, it will update the runtime files used by Developer. So, have you Developer 7.04 users install the SDK on their machine. It should update the merge module used by Developer to have the latest binaries.